%define gemdir %(ruby -rrubygems -e'puts Gem.default_dir')
%define gemname %(echo %{name} | sed "s|^ruby-||")
Name:          ruby-rgen
Version:       0.10.2
Release:       1mamba
Summary:       A framework for Model Driven Software Development (MDSD) in Ruby
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://rubygems.org/gems/rgen
Source:        http://rubygems.org/downloads/rgen-%{version}.gem
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel
Requires:      ruby

%description
RGen is a framework for Model Driven Software Development (MDSD) in Ruby. This means that it helps you build Metamodels, instantiate Models, modify and transform Models and finally generate arbitrary textual content from it.

%prep

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
gem install --no-user-install --ignore-dependencies -i "%{buildroot}%{gemdir}" \
   -n "%{buildroot}%{_bindir}" "%{SOURCE0}"

rm -rf %{buildroot}%{gemdir}/cache
rm -f %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.gitignore
rm -rf %{buildroot}%{gemdir}/doc/%{gemname}-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{gemdir}/gems/%{gemname}-%{version}
%{gemdir}/gems/%{gemname}-%{version}/*
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Wed Jan 15 2025 Automatic Build System <autodist@openmamba.org> 0.10.2-1mamba
- automatic version update by autodist

* Wed Dec 04 2024 Automatic Build System <autodist@openmamba.org> 0.9.1-1mamba
- automatic version update by autodist

* Wed Jul 18 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- update to 0.8.2

* Wed Dec 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.6-1mamba
- package created using the webbuild interface
